// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// op.cc - prototype module to test out the new design considerations
static char RCSID[] ="$Id: op.cc,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";

#include <iostream>
#include <sstream>
#include "op.h"
#include "symtab.h"

extern JC_symtab* SYMTAB;

JC_op::JC_op(const std::string & s) : JC_string(s) {
	opnum = SYMTAB->name_to_opnum(s);
};

JC_op::~JC_op(void) { };
